29 lines
825 B
Diff
29 lines
825 B
Diff
|
From 8a7276ae8aae5694c40d977580c7db6c5c47a81a Mon Sep 17 00:00:00 2001
|
||
|
From: Hannes Reinecke <hare@suse.de>
|
||
|
Date: Thu, 21 Nov 2013 12:00:14 +0100
|
||
|
Subject: [PATCH] 95znet: Make installation optional
|
||
|
|
||
|
znet_cio_free is a RedHat-specific tool, so do not install this
|
||
|
module on systems where the program is missing.
|
||
|
|
||
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||
|
---
|
||
|
modules.d/95znet/module-setup.sh | 1 +
|
||
|
1 file changed, 1 insertion(+)
|
||
|
|
||
|
diff --git a/modules.d/95znet/module-setup.sh b/modules.d/95znet/module-setup.sh
|
||
|
index 4c211a9..5012b77 100755
|
||
|
--- a/modules.d/95znet/module-setup.sh
|
||
|
+++ b/modules.d/95znet/module-setup.sh
|
||
|
@@ -5,6 +5,7 @@
|
||
|
# called by dracut
|
||
|
check() {
|
||
|
arch=$(uname -m)
|
||
|
+ [ -z /sbin/znet_cio_free ] || return 1
|
||
|
[ "$arch" = "s390" -o "$arch" = "s390x" ] || return 1
|
||
|
|
||
|
return 0
|
||
|
--
|
||
|
1.8.1.4
|
||
|
|